import Vue from 'vue'
import Router from 'vue-router'

import login from './login/index' // 登录
import coffeeIndex from './coffeeIndex/index' // 点单首页
import placeOrder from './placeOrder/index' // 城咖啡-点单
import salesRecord from './salesRecord/index' // 销售记录
import salesGiveOutDetail from './salesGiveOutDetail/index' // 销售发放详情
import cardAndCouponNum from './cardAndCouponNum/index' // 卡券数量信息

Vue.use(Router)

const router = new Router({
  routes: [{ // 登录
    path: '/login',
    name: 'login',
    component: login,
    children: []
  }, { // 点单首页
    path: '/coffeeIndex',
    name: 'coffeeIndex',
    component: coffeeIndex,
    children: []
  }, { // 城咖啡-点单
    path: '/placeOrder',
    name: 'placeOrder',
    component: placeOrder,
    children: []
  }, { // 销售记录
    path: '/salesRecord',
    name: 'salesRecord',
    component: salesRecord,
    children: []
  }, { // 销售发放详情
    path: '/salesGiveOutDetail',
    name: 'salesGiveOutDetail',
    component: salesGiveOutDetail,
    children: []
  }, { // 卡券数量信息
    path: '/cardAndCouponNum',
    name: 'cardAndCouponNum',
    component: cardAndCouponNum,
    children: []
  }],
})

router.beforeEach((to, from, next) => {

  next()
})

export default router
