// const baseUrl = '/api-v2'
const baseUrl = '/api'
const wechat = '/wechat/:org'
const guest = '/guest/:org'
const common = '/common/:org'

const $api = {
  index: { // 首页
    location: { // 获取5A
      method: 'get',
      url: `${baseUrl}${guest}/cms/location`
    },
    banner: { // 获取轮播图
      method: 'get',
      url: `${baseUrl}${guest}/cms/img`
    },
    message: { // 获取最新消息
      method: 'get',
      url: `${baseUrl}${guest}/cms/info`
    },
    project: { // 获取项目专题
      method: 'get',
      url: `${baseUrl}${guest}/cms/case`
    },
    cms: { // 获取cms消息
      method: 'get',
      url: `${baseUrl}${guest}/cms/news`
    },
    getFiveAList: { // 获取5A列表
      method: 'get',
      url: `${baseUrl}${guest}/cms/course`
    }
  },
  caseForCoffee: {
    getCaseTableList: { // 获取案场桌位列表
      method: 'get',
      url: `${baseUrl}${guest}/cms/area`
    },
    getGoodsTypeList: { // 获取商品分类列表
      method: 'get',
      url: `${baseUrl}${guest}/type/goods`
    },
    getGoodsList: { // 获取商品列表
      method: 'get',
      url: `${baseUrl}${guest}/goods`
    },
    placeGoodsOrder: { // 商品下单
      method: 'post',
      url: `${baseUrl}${wechat}/order/goods`
    }
  },
  majorProjects: { // 项目专题
    getCourseList: { // 获取课程列表
      method: 'get',
      url: `${baseUrl}${guest}/cms/case/:id`
    },
    getCourseDetail: { // 获取课程详情
      method: 'get',
      url: `${baseUrl}${guest}/course/:id`
    },
    placeCourseOrder: { // 课程下单
      method: 'post',
      url: `${baseUrl}${wechat}/order/course`
    },
  },
  user: {
    info: { // 获取用户信息
      method: 'get',
      url: `${baseUrl}${wechat}/customer`
    },
    case: { // 获取案场及销售列表
      method: 'get',
      url: `${baseUrl}${guest}/case`
    },
    wxsignup: { // 绑定手机号
      method: 'post',
      url: `${baseUrl}${guest}/wxsignup`
    },
    captcha: { // 获取手机验证码
      method: 'get',
      url: `${baseUrl}${guest}/captcha`
    },
    getCaseList: { // 获取案场信息
      method: 'get',
      url: `${baseUrl}${guest}/case`
    },
    getCourseOrderList: { // 获取我的课程订单信息
      method: 'get',
      url: `${baseUrl}${wechat}/course/user`
    },
    getCourseLoactionList: { // 获取课程类型列表
      method: 'get',
      url: `${baseUrl}${guest}/cms/location`
    },
    getCourseOrderDetail: { // 获取课程订单详情
      method: 'get',
      url: `${baseUrl}${wechat}/course/user/:id`
    },
  },
  login: { // 主管、销售端登陆
    login: {
      method: 'post',
      url: `${baseUrl}${guest}/wxsignin`
    }
  },
  case: {
    total: {
      method: 'get',
      url: `${baseUrl}${wechat}/goods/case/:caseid`
    },
  },
  goods: {
    getCustOrders: {
      method: 'get',
      url: `${baseUrl}${wechat}/goods/user`
    }
  },
}
export default $api
